This is the mail archive of the gcc-patches@gcc.gnu.org mailing list for the GCC project.


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Require texinfo 4.7 for src/gcc?


Hi,

Texinfo 4.7 is required for gcc and binutils now also requires texinfo 4.7:

http://www.sourceware.org/bugzilla/show_bug.cgi?id=10039

Is this patch OK with ChangeLog for gcc and src?

Thanks.


-- 
H.J.
---
Index: configure.ac
===================================================================
--- configure.ac	(revision 5645)
+++ configure.ac	(working copy)
@@ -2726,10 +2726,10 @@ case " $build_configdirs " in
   *" texinfo "*) MAKEINFO='$$r/$(BUILD_SUBDIR)/texinfo/makeinfo/makeinfo' ;;
   *)
 changequote(,)
-    # For an installed makeinfo, we require it to be from texinfo 4.6 or
+    # For an installed makeinfo, we require it to be from texinfo 4.7 or
     # higher, else we use the "missing" dummy.
     if ${MAKEINFO} --version \
-       | egrep
'texinfo[^0-9]*(4\.([6-9]|[1-9][0-9])|[5-9]|[1-9][0-9])' >/dev/null
2>&1; then
+       | egrep
'texinfo[^0-9]*(4\.([7-9]|[1-9][0-9])|[5-9]|[1-9][0-9])' >/dev/null
2>&1; then
       :
     else
       MAKEINFO="$MISSING makeinfo"


Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]